function onTalk()
	local location = ""
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function ()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(2000, 300, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashless_loc_0",
		requires =
		function ()
			if location == "Dashless_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-3000, 152, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashless_loc_1",
		requires =
		function ()
			if location == "Dashless_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(3490, -1500, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashless_loc_2",
		requires =
		function ()
			if location == "Dashless_2" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(3650, -1500, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashless_loc_3",
		requires =
		function ()
			if location == "Dashless_3" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(3770, -1500, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashless_loc_4",
		requires =
		function ()
			if location == "Dashless_4" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(3900, -1500, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashless_loc_5",
		requires =
		function ()
			if location == "Dashless_5" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(4060, -1500, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashless_loc_6",
		requires =
		function ()
			if location == "Dashless_6" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(4520, -1500, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashless_loc_7",
		requires =
		function ()
			if location == "Dashless_7" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(4640, -1500, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashless_loc_8",
		requires =
		function ()
			if location == "Dashless_8" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(4800, -1500	, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashless_loc_9",
		requires =
		function ()
			if location == "Dashless_9" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(5000, -1500, "Dashless")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashless_loc_10",
		requires =
		function ()
			if location == "Dashless_10" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-3000, 152, "Njumps")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Dashless_loc_11",
		requires =
		function ()
			if location == "Dashless_11" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(0, 152, "Njumps")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
